Name:           python-omg
Version:        1.3.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python CLI replacement with live reload capabilities, enabling fast restarts by reloading only user modules. Ideal for iterative development and prototyping.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Reddan/omg.git
Source:         %{pypi_source omg}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'omg' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-omg
Summary:        %{summary}

%description -n python3-omg %_description


%prep
%autosetup -p1 -n omg-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-omg -f %{pyproject_files}


%changelog
%autochangelog